<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
  <xsl:import href="../docbook-xsl/html/chunk.xsl"/>
  <!--
  <xsl:output method="html"
    encoding="UTF-8"
    indent="yes"/>
  -->
    
  <xsl:param name="generate.toc" select="'book toc'"/>
  <xsl:param name="html.stylesheet">html.css</xsl:param>

  <xsl:param name="chunk.section.depth">4</xsl:param>
  <xsl:param name="toc.section.depth">1</xsl:param>
  <xsl:param name="htmlhelp.hhc.section.depth">4</xsl:param>

<xsl:param name="local.l10n.xml" select="document('')"/>

<i18n xmlns="http://docbook.sourceforge.net/xmlns/l10n/1.0">
  <!-- Jazyk lokalizace -->
  <l10n language="en">
   <context name="title">
      <template name="example" text="Example&#160;%t"/>
      <template name="informalexample" text="Example"/>
   </context>
  </l10n>
</i18n>

<xsl:template match="informalexample">
  <xsl:variable name="param.placement"
                select="substring-after(normalize-space($formal.title.placement),
                                        concat(local-name(.), ' '))"/>

  <xsl:variable name="placement">
    <xsl:choose>
      <xsl:when test="contains($param.placement, ' ')">
        <xsl:value-of select="substring-before($param.placement, ' ')"/>
      </xsl:when>
      <xsl:when test="$param.placement = ''">before</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$param.placement"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:call-template name="formal.object">
    <xsl:with-param name="placement" select="$placement"/>
    <xsl:with-param name="class" select="local-name(.)"/>
  </xsl:call-template>
</xsl:template>

</xsl:stylesheet>
